> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Labor Costs

> Estimate labor costs for the latest BOL version using a production line.



## OpenAPI

````yaml /api/openapi-cutmake.json post /bol/{bol_id}/estimate-labor
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bol/{bol_id}/estimate-labor:
    post:
      tags:
        - BOL
      summary: Estimate Labor Costs
      description: Estimate labor costs for the latest BOL version using a production line.
      operationId: estimate_labor_costs_bol__bol_id__estimate_labor_post
      parameters:
        - name: bol_id
          in: path
          required: true
          schema:
            type: string
            title: Bol Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LaborEstimateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LaborEstimateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    LaborEstimateRequest:
      properties:
        productionLineId:
          type: string
          title: Productionlineid
        comparisonLineIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Comparisonlineids
      type: object
      required:
        - productionLineId
      title: LaborEstimateRequest
      description: Request payload to estimate labor costs for a BOL.
    LaborEstimateResponse:
      properties:
        bolId:
          type: string
          title: Bolid
        productionLine:
          $ref: '#/components/schemas/LaborEstimateLineSummary'
        totalLaborCost:
          type: number
          title: Totallaborcost
        operations:
          items:
            $ref: '#/components/schemas/LaborEstimateOperation'
          type: array
          title: Operations
        comparisonTable:
          anyOf:
            - items:
                $ref: '#/components/schemas/LaborEstimateLineSummary'
              type: array
            - type: 'null'
          title: Comparisontable
      type: object
      required:
        - bolId
        - productionLine
        - totalLaborCost
        - operations
      title: LaborEstimateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LaborEstimateLineSummary:
      properties:
        productionLineId:
          type: string
          title: Productionlineid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        hourlyRate:
          type: number
          title: Hourlyrate
        efficiencyFactor:
          type: number
          title: Efficiencyfactor
        costPerMinute:
          type: number
          title: Costperminute
        totalSamMinutes:
          type: number
          title: Totalsamminutes
        totalLaborCost:
          type: number
          title: Totallaborcost
      type: object
      required:
        - productionLineId
        - hourlyRate
        - efficiencyFactor
        - costPerMinute
        - totalSamMinutes
        - totalLaborCost
      title: LaborEstimateLineSummary
    LaborEstimateOperation:
      properties:
        operationId:
          type: string
          title: Operationid
        operationName:
          type: string
          title: Operationname
        samMinutes:
          type: number
          title: Samminutes
        costPerMinute:
          type: number
          title: Costperminute
        laborCostPerUnit:
          type: number
          title: Laborcostperunit
        adjustedLaborCostPerUnit:
          type: number
          title: Adjustedlaborcostperunit
        sequence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sequence
      type: object
      required:
        - operationId
        - operationName
        - samMinutes
        - costPerMinute
        - laborCostPerUnit
        - adjustedLaborCostPerUnit
      title: LaborEstimateOperation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````